unit uMyForm;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs
  , System.JSON, Vcl.StdCtrls
  ;

type
  TMyForm = class(TForm)
    btCreate: TButton;
    btParse: TButton;
    memo: TMemo;
    procedure btCreateClick(Sender: TObject);
    procedure btParseClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MyForm: TMyForm;

implementation

{$R *.dfm}

procedure TMyForm.btCreateClick(Sender: TObject);
var
  x : TJSONObject;
  xa : TJSONArray;
begin
  x := TJSONObject.Create;
  x.AddPair('MyData','123 Ok');
  x.AddPair('MyNewData','789 Ok');
  xa := TJSONArray.Create;
  xa.Add(1);
  xa.Add(2);
  xa.Add(3);
  x.AddPair('MyArray', xa);
  memo.Lines.Text := x.ToJSON;
  x.Free;
end;

procedure TMyForm.btParseClick(Sender: TObject);
var
  x : TJSONObject;
  xa : TJSONArray;
begin
  x := TJSONObject.ParseJSONValue('{"MyData":"123 Ok"}') as TJSONObject;
  x.AddPair('MyNewData','789 Ok');
  xa := TJSONArray.Create;
  xa.Add(1);
  xa.Add(2);
  xa.Add(3);
  x.AddPair('MyArray', xa);
  memo.Lines.Text := x.ToJSON;
  x.Free;
end;

end.
